package com.fp.armas.rules.save.inspeccion;

import java.util.ArrayList;
import java.util.List;

import com.fp.dto.rules.TransactionRule;
import com.fp.dto.save.SaveRequest;
import com.fp.persistence.commondb.PersistenceHelper;
import com.fp.persistence.parmas.ins.TarmPlanificacionInspeccion;
import com.fp.persistence.parmas.ins.TarmPlanificacionTramite;
import com.fp.persistence.pcustomer.company.TcustCompany;
import com.fp.sessionbeans.helper.Sequence;

public class ModificarPlanificacionInspeccionSave extends TransactionRule {
	
	private static final long serialVersionUID = 1L;
	
	@Override
	public SaveRequest normalProcess(SaveRequest pSaveRequest) throws Exception {
		try {
			@SuppressWarnings({"unchecked" })
			List<TarmPlanificacionTramite> inspecciones=(ArrayList<TarmPlanificacionTramite>)pSaveRequest.get("INSPECCIONES");
			
	        //Persistieno las inspecciones
	        for (TarmPlanificacionTramite inspeccion : inspecciones) {
	        	inspeccion=(TarmPlanificacionTramite)PersistenceHelper.getEntityManager().merge(inspeccion);
	        	PersistenceHelper.getEntityManager().persist(inspeccion);
			}
	        
	        PersistenceHelper.getEntityManager().flush();
			
		} catch (Exception e) {
			return pSaveRequest;
		}
		return pSaveRequest;
	}
	
	@Override
	public SaveRequest reverseProcess(SaveRequest arg0) throws Exception {

		return arg0;
	}



}
